%define upstream_version 20100531

Name:           hyphen-grc
Version:        0.%{upstream_version}
Release:        %mkrel 2
Summary:        Ancient Greek hyphenation rules
License:        LPPL
Group:          Text tools
URL:            http://tug.org/tex-hyphen
Source0:        http://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-grc.tex
Patch0:         hyphen-grc-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen

%description
Ancient Greek hyphenation rules.


%prep
%setup -T -q -c
cp -p %{SOURCE0} .
%patch0 -p0 -b .clean

%build
grep -v "^%" hyph-grc.tex | tr ' ' '\n' > temp.tex
substrings.pl temp.tex temp.dic UTF-8
LANG=el_GR.utf8 uniq temp.dic > hyph_grc_GR.dic
echo "created with substring.pl by substrings.pl hyph-grc.tex hyph_grc_GR.dic UTF-8" > README
echo "---" >> README
head -n 33 hyph-grc.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_grc_GR.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*


%changelog

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194648
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 70032
- fix group
- imported package hyphen-grc


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100531-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100531-1
- latest version

* Wed Oct 14 2009 Caolán McNamara <caolanm@redhat.com> - 0.20080616-1
- initial version
